Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.model
Class AddToPlaceholderModel.TimeToLive

    java.lang.Object
      com.bea.campaign.model.AddToPlaceholderModel.TimeToLive

All Implemented Interfaces
  Cloneable, Comparable<AddToPlaceholderModel.TimeToLive>

Enclosing class:
  AddToPlaceholderModel

    public static class AddToPlaceholderModel.TimeToLive

extends Object
implements Cloneable, Comparable<AddToPlaceholderModel.TimeToLive>

Utility class to store time to live information.

Field Summary
`int` | `days` The number of days.
`int` | `hours` The number of hours.
`int` | `minutes` The number of minutes.

Constructor Summary
`AddToPlaceholderModel.TimeToLive()` Constructor for 0 time to live.
`AddToPlaceholderModel.TimeToLive(int days, int hours, int minutes)` Constructor w/ non-negative values.

Method Summary
`Object` | `clone()`
`int` | `compareTo(AddToPlaceholderModel.TimeToLive ttl)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`
`static AddToPlaceholderModel.TimeToLive` | `valueOf(String str)` Create a TimeToLive from a [days]:[hours]:[minutes] string.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### days

    public int days

  The number of days.

### hours

    public int hours

  The number of hours.

### minutes

    public int minutes

  The number of minutes.

Constructor Detail

### AddToPlaceholderModel.TimeToLive

    public AddToPlaceholderModel.TimeToLive(int days,
                                            int hours,
                                            int minutes)

  Constructor w/ non-negative values.

### AddToPlaceholderModel.TimeToLive

    public AddToPlaceholderModel.TimeToLive()

  Constructor for 0 time to live.

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(AddToPlaceholderModel.TimeToLive ttl)

  Specified by:
    `compareTo` in interface `Comparable<AddToPlaceholderModel.TimeToLive>`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### valueOf

    public static AddToPlaceholderModel.TimeToLive valueOf(String str)

  Create a TimeToLive from a [days]:[hours]:[minutes] string.

  Returns
    null on invalid string or null, TimeToLive on success.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.